<?php
namespace ModulesAbstract\ImportedOrdersFileManager;

class View_Index extends \App\Mvc\View_Window_GeneralAbstract
{
	protected $renderingTemplate = 'ModulesAbstract/ImportedOrdersFileManager/View/_tpl/index.tpl';

	/**
	 * The sbstract lang array.
	 * @var array
	 */
	protected $absLang= [];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::loadTranslations()
	 */
	protected function loadTranslations()
	{
		parent::loadTranslations();
		$this->absLang = \App\Loader_Lang::getInstance()->loadAppFolder('_customLoad/modulesAbstract/importedOrdersFileManager')->getSection('ModulesAbstract/ImportedOrdersFileManager');
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::assignSmartyDefaultVars()
	 */
	protected function assignSmartyDefaultVars($smarty)
	{
		parent::assignSmartyDefaultVars($smarty);
		$smarty->assign('absLang', 	$this->absLang);
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_IndexAbstract::render()
	 */
	public function render()
	{
		\Theme::getInstance()->stdModuleSmartyAssign($this);
		return $this->renderWithCustomTemplate($this->renderingTemplate, $this->messagesCollector);
	}
}